# class StatusbarProgress | IO progress widget for embedding in a statusbar. More...
Definition | `#include <statusbarprogress.h>`
Inherits | ProgressBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- StatusbarProgress ( QWidget* parent, bool button = true )
- ~StatusbarProgress ()
- void setJob ( KIO::Job *job )

#### Public Slots

- virtual void slotClean ()
- virtual void slotTotalSize ( KIO::Job*, unsigned long size )
- virtual void slotPercent ( KIO::Job*, unsigned long percent )
- virtual void slotSpeed ( KIO::Job*, unsigned long bytes_per_second )

#### Protected Types

- enum Mode { None, Label, Progress }

#### Protected Methods

- void setMode ()
- virtual bool eventFilter ( QObject *, QEvent * )

#### Protected Members

- KProgress* m_pProgressBar
- QLabel* m_pLabel
- QPushButton* m_pButton
- unsigned long m_iTotalSize
- uint mode
- bool m_bShowButton
- QBoxLayout *box
- QWidgetStack *stack

## Detailed Description

This is a special IO progress widget.

Similarly to DefaultProgress, it's purpose is to show a progress of the IO operation.

Instead of creating a separate window, this is only a widget that can be easily embedded in a statusbar.

Usage of StatusbarProgress is little different. This dialog will be a part of some application.

     // create a dialog
     StatusbarProgress *statusProgress;
     statusProgress = new StatusbarProgress( statusBar() );
     statusBar()->insertWidget( statusProgress, statusProgress->width() , 0 );
     ...
     // create job and connect it to the progress
     CopyJob* job = KIO::copy(...);
     statusProgress->setJob( job );
     ...

StatusbarProgress ( QWidget* parent, bool button = true ) | ### StatusbarProgress

~StatusbarProgress () | ### ~StatusbarProgress

void setJob ( KIO::Job *job ) | ### setJob

Reimplemented from ProgressBase.

void slotClean () | ### slotClean

[virtual slot]

Reimplemented from ProgressBase.

void slotTotalSize ( KIO::Job*, unsigned long size ) | ### slotTotalSize

[virtual slot]

Reimplemented from ProgressBase.

void slotPercent ( KIO::Job*, unsigned long percent ) | ### slotPercent

[virtual slot]

Reimplemented from ProgressBase.

void slotSpeed ( KIO::Job*, unsigned long bytes_per_second ) | ### slotSpeed

[virtual slot]

Reimplemented from ProgressBase.

KProgress* m_pProgressBar | ### m_pProgressBar

[protected]

QLabel* m_pLabel | ### m_pLabel

[protected]

QPushButton* m_pButton | ### m_pButton

[protected]

unsigned long m_iTotalSize | ### m_iTotalSize

[protected]

enum Mode { None, Label, Progress } | ### Mode

[protected]

uint mode | ### mode

[protected]

bool m_bShowButton | ### m_bShowButton

[protected]

void setMode () | ### setMode

[protected]

bool eventFilter ( QObject *, QEvent * ) | ### eventFilter

[protected virtual]

QBoxLayout * box | ### box

[protected]

QWidgetStack * stack | ### stack

[protected]

- Author: Matej Koss <koss@miesto.sk>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.